Package tigase.server.amp.db

## Class JDBCMsgBroadcastRepository

- java.lang.Object
- - tigase.server.amp.db.MsgBroadcastRepository<java.lang.Long,​DataRepository>
  - - tigase.server.amp.db.JDBCMsgBroadcastRepository

- All Implemented Interfaces:
    `DataSourceAware<DataRepository>`, `RepositoryVersionAware`

      public class JDBCMsgBroadcastRepository
      extends MsgBroadcastRepository<java.lang.Long,​DataRepository>
      implements RepositoryVersionAware

  Created by andrzej on 15.03.2016.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.server.amp.db.MsgBroadcastRepository

      `MsgBroadcastRepository.BroadcastMsg<T>, MsgBroadcastRepository.MsgBroadcastRepositoryBean`

    - ### Nested classes/interfaces inherited from interface tigase.db.util.RepositoryVersionAware

      `RepositoryVersionAware.SchemaVersion`

  - ### Field Summary

    - ### Fields inherited from class tigase.server.amp.db.MsgBroadcastRepository

      `broadcastMessages, broadcastMessagesLastCleanup, parser`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCMsgBroadcastRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `ensureBroadcastMessageRecipient​(java.lang.String id, BareJID recipient)` |
    `protected void` | `insertBroadcastMessage​(java.lang.String id, Element msg, java.util.Date expire, BareJID recipient)` |
    `void` | `loadMessagesToBroadcast()` |
    `void` | `setDataSource​(DataRepository data_repo)` | Method called to provide class with instance of a data source.

    - ### Methods inherited from class tigase.server.amp.db.MsgBroadcastRepository

      `dumpBroadcastMessageKeys, getBroadcastMessages, getBroadcastMsg, updateBroadcastMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.util.RepositoryVersionAware

      `getVersion, updateSchema`

- - ### Constructor Detail

    - #### JDBCMsgBroadcastRepository

          public JDBCMsgBroadcastRepository()

  - ### Method Detail

    - #### setDataSource

          public void setDataSource​(DataRepository data_repo)

      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataRepository>`

    - #### loadMessagesToBroadcast

          public void loadMessagesToBroadcast()

      Specified by:
        `loadMessagesToBroadcast` in class `MsgBroadcastRepository<java.lang.Long,​DataRepository>`

    - #### insertBroadcastMessage

          protected void insertBroadcastMessage​(java.lang.String id,
                                                Element msg,
                                                java.util.Date expire,
                                                BareJID recipient)

      Specified by:
        `insertBroadcastMessage` in class `MsgBroadcastRepository<java.lang.Long,​DataRepository>`

    - #### ensureBroadcastMessageRecipient

          protected void ensureBroadcastMessageRecipient​(java.lang.String id,
                                                         BareJID recipient)

      Specified by:
        `ensureBroadcastMessageRecipient` in class `MsgBroadcastRepository<java.lang.Long,​DataRepository>`